FB Comments
Get FB comment automation
Returns one automation’s trigger and reply settings. Use fbComments.list to find its id first.
GET
/
v1
/
fb-comments
/
{id}
Get FB comment automation
curl --request GET \
--url https://app.chatbotx.io/api/v1/fb-comments/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.chatbotx.io/api/v1/fb-comments/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.chatbotx.io/api/v1/fb-comments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"type": "messenger",
"isActive": true,
"startTime": "<string>",
"endTime": "<string>",
"repliesCount": -1,
"sentCount": -1,
"deliveredCount": -1,
"seenCount": -1,
"clickedCount": -1,
"failedCount": -1,
"missedCount": -1,
"post": {
"type": "published",
"value": [
"<string>"
]
},
"privateReply": {
"type": "AIAgent",
"value": "<string>",
"values": [
{
"value": "<string>"
}
]
},
"publicReply": {
"type": "AIAgent",
"value": "<string>",
"values": [
{
"value": "<string>"
}
]
},
"includeKeywords": {
"type": "all",
"value": [
"<string>"
]
},
"excludeKeywords": [
"<string>"
],
"options": {
"replyToNewContactsOnly": true,
"replyOncePerUserPerPost": true,
"likeUserComment": true,
"replyToUsersWhoCommentedOnOtherPosts": true,
"ignoreCommentReplies": true,
"trackUserTags": true
},
"hideComments": {
"all": true,
"hasPhoneNumber": true,
"hasImage": true,
"hasVideo": true,
"hasLink": true,
"hasKeywords": true,
"keywords": [
"<string>"
],
"showCommentsAfter": "none"
},
"replyAfter": {
"type": "immediately",
"value": 123
},
"folderId": "<string>"
}{
"defined": true,
"code": "businessError",
"status": 400,
"message": "An error occurred while processing your request",
"data": "<unknown>"
}{
"defined": true,
"code": "UNAUTHORIZED",
"status": 401,
"message": "Authentication required",
"data": "<unknown>"
}{
"defined": true,
"code": "FORBIDDEN",
"status": 403,
"message": "You do not have permission to perform this action",
"data": "<unknown>"
}{
"defined": true,
"code": "notFound",
"status": 404,
"message": "Resource not found",
"data": "<unknown>"
}{
"defined": true,
"code": "invalidRequestData",
"status": 422,
"message": "Input validation failed",
"data": {
"issues": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}
}{
"defined": true,
"code": "tooManyRequests",
"status": 429,
"message": "Too many requests",
"data": "<unknown>"
}{
"defined": true,
"code": "INTERNAL_SERVER_ERROR",
"status": 500,
"message": "An unexpected error occurred",
"data": "<unknown>"
}Authorizations
bearerAuthdeveloperAccessTokentokenInSearchParams
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
FB comment automation id. Get it from fbComments.list.
Pattern:
^\d+$Response
OK
Available options:
messenger, instagram, instagramFacebook, threads Required range:
-2147483648 <= x <= 2147483647Required range:
-2147483648 <= x <= 2147483647Required range:
-2147483648 <= x <= 2147483647Required range:
-2147483648 <= x <= 2147483647Required range:
-2147483648 <= x <= 2147483647Required range:
-2147483648 <= x <= 2147483647Required range:
-2147483648 <= x <= 2147483647Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Get FB comment automation
